"use strict";

function isoDateToBinNo({isoDate /*: string */, offsetIsoDate /*: string */, binToHour /*: number */}) /*: number */ {
    if (typeof isoDate !== "string" || typeof offsetIsoDate !== "string" || !Number.isFinite(binToHour) || binToHour <= 0) {
        console.error("oops - isoDateToBinNo - invalid args:" + JSON.stringify(arguments));
    }
    else {
        const dateMs = new Date(isoDate).getTime(),
            offsetDateMs = new Date(offsetIsoDate).getTime();

        let difInMs = dateMs - offsetDateMs,
            difInHours = difInMs / (60 * 60 * 1000),
            binNo = Math.floor(difInHours / binToHour);

        return binNo;
    }
}

module.exports = isoDateToBinNo;
